<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.http-acceptor" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="http-listener,params,ssl-context,upgrade-legacy"/>
        <elem name="addr-params" value="profile,subsystem,server,http-acceptor"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.$server.http-upgrade-service.$http-acceptor"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.remoting.http-listener-registry"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.undertow.listener.http-upgrade-registry.$http-listener"/>
    </requires>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="upgrade-legacy" nillable="true" stability="default"/>
        <param name="server" feature-id="true"/>
        <param name="http-acceptor" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="http-listener" stability="default"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="params" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.jboss.xnio"/>
        <package name="io.undertow.core"/>
        <package name="org.jboss.xnio.netty.netty-xnio-transport"/>
    </packages>
</feature-spec>